package cz.vutbr.feec.gui;

public class ReckInCanvas {

	private ReckCanvas reckCanvas;
	public ReckCanvas getReckCanvas() {
		return reckCanvas;
	}

	private int positionX;
	private int positionY;
	private int sizeX;
	private int sizeY;
	
	public ReckInCanvas(int posX, int posY, int sizeX, int sizeY, ReckCanvas rc){
		this.positionX = posX;
		this.positionY = posY;
		this.sizeX = sizeX;
		this.sizeY = sizeY;
		this.reckCanvas = rc;
		
	}

	public void setPositionX(int positionX) {
		this.positionX = positionX;
	}

	public void setPositionY(int positionY) {
		this.positionY = positionY;
	}

	public int getPositionX() {
		return positionX;
	}

	public int getPositionY() {
		return positionY;
	}

	public int getSizeX() {
		return sizeX;
	}

	public int getSizeY() {
		return sizeY;
	}
}
